GDM fails to start

Bug #735805 reported by Benjamin Drung on 2011-03-15
176
This bug affects 36 people
Affects Status Importance Assigned to Milestone
gdm (Ubuntu)
High
James Hunt

Bug Description

Binary package hint: gdm

After today's upgrade of GDM from version 2.32.0-0ubuntu9 to 2.32.0-0ubuntu10, GDM fails to start. GDM starts correctly after downgrading back to version 2.32.0-0ubuntu9.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: gdm 2.32.0-0ubuntu9
ProcVersionSignature: Ubuntu 2.6.38-6.34-generic 2.6.38-rc7
Uname: Linux 2.6.38-6-generic x86_64
Architecture: amd64
Date: Tue Mar 15 23:55:29 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.utf8
 SHELL=/bin/bash
SourcePackage: gdm
UpgradeStatus: Upgraded to natty on 2011-03-15 (0 days ago)

Related branches

Benjamin Drung (bdrung) wrote :
tags: added: regression-release
Luke Yelavich (themuso) on 2011-03-16
Changed in gdm (Ubuntu):
status: New → Confirmed
Harry (harry33) wrote :

Also confirming this issue.
In my 64-bit Natty with NVidia 285GTX and nvidia-current the gdm failure does not happen every time.
Still, I experience this bug perhaps once every five start ups.

Martin Pitt (pitti) wrote :

For determining whether the cause is the upstart change or the patches, can you please replace /etc/init/gdm.conf with

http://bazaar.launchpad.net/~ubuntu-desktop/gdm/ubuntu/download/308/gdm.upstart-20090908222224-vvx39yazv82iznd9-1/gdm.upstart?start_revid=308

and check if it still happens? I suspect it's a subtle breakage in the upstart job. Thanks!

Changed in gdm (Ubuntu):
status: Confirmed → Incomplete
cedric (cedric) wrote :

This bug affects me when running on Dell D630, but not running on Dell E4310 (My ubuntu runs from a USB hard disk)

cedric (cedric) wrote :

I also confirm that replacing /etc/init/gdm.conf by the file provided in comment #3 by Martin corrected the issue.

A temporarily solution while waiting bug is corrected, try to log in
terminal with Ctrl + Alt + F1, and then run command

sudo service gdm start

It seems to work (not tested for the moment on Natty 64 / my computer)

On 16/03/2011 11:41, cedric wrote:
>
> This bug affects me when running on Dell D630, but not running on Dell
> E4310 (My ubuntu runs from a USB hard disk)
>

Sebastien Bacher (seb128) wrote :

seems to be due to the fix for bug #436936 then

Changed in gdm (Ubuntu):
assignee: nobody → huntja (jhunt)
importance: Undecided → High
status: Incomplete → Confirmed
assignee: huntja (jhunt) → James Hunt (jamesodhunt)
Benjamin Drung (bdrung) wrote :

I replaced /etc/init/gdm.conf with the old upstart job (as requested in comment #3) and gdm starts. Therefore this bug is a breakage in the upstart job.

Fabio Marconi (fabiomarconi) wrote :

I can reproduce it everytime, with the variant that if on first I don't start x, gdm start is rejected, once gdm is started no unity available, only background, starting another session i can have panels only on gnome classical

James Hunt (jamesodhunt) wrote :

It's looking like the change I made for bug 436936 might be the culprit, but I am unable to recreate this issue at present.

Please could follow the steps below to run Upstart in debug mode:

1. Hold down SHIFT key before the splash screen appears (this will then display the grub menu).
2. Type, "e" to edit the default kernel command-line.
3. Use the arrow keys to go to the end of the line which starts "linux /boot/vmlinuz ...".
4. Press END key (or use arrows) to go to end of the line.
5. Add a space followed by "--debug" (note the two dashes).
6. Press CONTROL+x to boot with this modified kernel command line.

This will tell upstart to log debug info to /var/log/syslog. So, once you can login, please run this:

  grep init: /var/log/syslog |gzip -9 > /tmp/bug-735805-syslog.txt.gz

And then attach that file to this bug.

It would also be useful if you could also attach a copy of your udev log:

  gzip -9 -c /var/log/udev > /tmp/bug-735805-udev.txt.gz

Thanks in advance.

Fabio Marconi (fabiomarconi) wrote :

this is reproduced on two systems with today's updates

James Hunt (jamesodhunt) wrote :

@Fabio - two out of how many systems? Is it consistently reproducible for those two systems?

Benjamin Drung (bdrung) wrote :

On my system it is constantly reproducible. Attached the requested log files.

Benjamin Drung (bdrung) wrote :

I logged into tty1 and ran "sudo start gdm". Attached the same log after the GDM login.

Benjamin Drung (bdrung) wrote :
Fabio Marconi (fabiomarconi) wrote :

@James, for the first system i make it working rewriting grub (but I want to switch them many times to evaluate), for the second it works with gdm.conf replacing, but not rewriting grub
two systems of two (intel)
Fabio

Fabio Marconi (fabiomarconi) wrote :

switch/switch off

Xavier Guillot (valeryan-24) wrote :

Bug also reproductible at each start, on Ubuntu Natty 64 bits updated.

Command "sudo service gdm start" in console mode works, launches GDM and
normal session.

Fabio Marconi (fabiomarconi) wrote :

Well reproducible by me on the first computer too, so it is not a grub issue but how explained at #2 happens not every boot.

James Hunt (jamesodhunt) wrote :

It's looking like the problem may be with the runlevel test here:

    31 if [ "$curr" = S -o "$prev" = unknown ]
    32 then
    33 # Single-user mode
    34 plymouth quit || :
    35 exit 0
    36 fi

I've attached a version of /etc/init/gdm.conf that changes that "if" test on line 31 to:

    31 if [ "$curr" = S ]
    32 then
    33 # Single-user mode
    34 plymouth quit || :
    35 exit 0
    36 fi

Please could you test this and let me know if you can still recreate the problem.

Thanks in advance.

Benjamin Drung (bdrung) wrote :

That change fixes the bug for me.

James Hunt (jamesodhunt) wrote :

@Benjamin: thanks for testing! Could you also confirm that if you boot to recovery mode (single user mode) that once you've at a shell, running "telinit 2" displays gdm as expected?

Benjamin Drung (bdrung) wrote :

When I boot to recovery mode, gdm is started. That's not the behavior that I expect from the recovery mode.

James Hunt (jamesodhunt) wrote :

@Benjamin: ok - I think that's why I added the "unknown" check which clearly caused problems for some systems. The change below *should* stop gdm from starting in recovery mode:

    31 if [ "$curr" = S -o -z "`echo $UPSTART_EVENTS|egrep -o "\<runlevel\>"`" ]
    32 then
    33 # Single-user mode
    34 plymouth quit || :
    35 exit 0
    36 fi

Benjamin Drung (bdrung) wrote :

This change prevents gdm from starting in recovery mode, but sadly also in the normal mode.

Sebastien Bacher (seb128) wrote :

I've reopened bug #735805

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdm - 2.32.0-0ubuntu11

---------------
gdm (2.32.0-0ubuntu11) natty; urgency=low

  * debian/gdm.upstart: revert recent update it has issues and break gdm on
    quite some configurations (lp: #735805)
 -- Sebastien Bacher <email address hidden> Wed, 16 Mar 2011 18:00:32 +0100

Changed in gdm (Ubuntu):
status: Confirmed → Fix Released
Benjamin Drung (bdrung) wrote :

You reopen bug #436936 and not this bug. ;)

Sebastien Bacher (seb128) wrote :

right, copy error, thanks for pointing it ;-)

Greg Faith (gregfaith) wrote :

Confirmed gdm (2.32.0-0ubuntu11) natty fixed my Natty today. Very very quickly fixed.

James Hunt (jamesodhunt) wrote :

If those who experienced this problem could help with testing a fix for bug 436936, I have attached a new gdm.conf to bug 436936. Thanks very much!

Aleh (aleh-ski) wrote :

Glance, if at you such problem, here Bug #736018. To me has helped, I will be glad if will help you))

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers